Bug 1213220 - Cura does not handle file arguments
Summary: Cura does not handle file arguments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cura
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-20 05:05 UTC by Doncho Gunchev
Modified: 2015-04-30 11:42 UTC (History)
1 user (show)

Fixed In Version: cura-14.12.1-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-26 12:50:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Doncho Gunchev 2015-04-20 05:05:50 UTC
Description of problem:
the "binary" (/usr/bin/cura) changes current working directory making any file/path argument invalid.

Version-Release number of selected component (if applicable):
Any

How reproducible:
Always

Steps to Reproduce:
1. cura *.stl

Actual results:
No such file or directory

Expected results:
open all stl files

Additional info:
It's an easy fix - I changed the '/usr/bin/cura' file like this:

--- cut ---
#!/usr/bin/python2
import os
import sys
import Cura.cura as cura

# Make all paths absolute, we are gonna change the pwd
for i in range(len(sys.argv)):
    if os.path.exists(sys.argv[i]):
        sys.argv[i] = os.path.abspath(sys.argv[i])

# change the pwd
os.chdir("/usr/lib/python2.7/site-packages/")

# start cura
cura.main()
--- cut ---

and now it works as expected. Please apply.

Comment 1 Miro Hrončok 2015-04-20 07:13:57 UTC
Thanks, sounds reasonable, will apply soon.

Comment 2 Fedora Update System 2015-04-20 07:38:07 UTC
cura-14.12.1-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cura-14.12.1-3.fc22

Comment 3 Fedora Update System 2015-04-20 07:39:37 UTC
cura-lulzbot-14.12-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cura-lulzbot-14.12-4.fc21

Comment 4 Fedora Update System 2015-04-20 07:41:44 UTC
cura-lulzbot-14.12-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cura-lulzbot-14.12-4.fc22

Comment 5 Fedora Update System 2015-04-20 07:43:10 UTC
cura-14.12.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cura-14.12.1-3.fc21

Comment 6 Fedora Update System 2015-04-21 18:34:20 UTC
Package cura-14.12.1-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cura-14.12.1-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6435/cura-14.12.1-3.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-04-26 12:43:11 UTC
cura-lulzbot-14.12-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-04-26 12:50:59 UTC
cura-14.12.1-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-04-30 11:38:32 UTC
cura-lulzbot-14.12-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-04-30 11:42:12 UTC
cura-14.12.1-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.